Package org.apache.lucene.geo

## Class GeoEncodingUtils.Component2DPredicate

- java.lang.Object
- - org.apache.lucene.geo.GeoEncodingUtils.Component2DPredicate

- Enclosing class:
    GeoEncodingUtils

      public static class GeoEncodingUtils.Component2DPredicate
      extends Object

  A predicate that checks whether a given point is within a component2D geometry.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `test​(int lat, int lon)` | Check whether the given point is within the considered polygon.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### test

          public boolean test​(int lat,
                              int lon)

      Check whether the given point is within the considered polygon. NOTE: this operates directly on the encoded representation of points.